﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private mTarget As Object
	Private mEventName As String
	
	Private mChecked As Boolean
	
	Private bmpChecked As Bitmap
	Private bmpUnchecked As Bitmap
	Private imvCheckBox As ImageView
	
	Private mBase As Panel
	
	Private mType As String
	
End Sub

Public Sub Initialize (Target As Object, EventName As String)
   mTarget = Target
   mEventName = EventName	
	imvCheckBox.Initialize("imvCheckBox")
	SetMyType
End Sub

Public Sub DesignerCreateView(Base As Panel, lbl As Label, props As Map)
	mBase = Base
	
	Dim blnLandS As Boolean
	blnLandS = (Base.Width > Base.Height)
	
	Dim intBoxSide As Int
	Dim intMinBoxSide As Int
	Dim intMaxBoxSide As Int
	Dim intBoxSideLeft As Int
	Dim intBoxSideTop As Int
	
	If blnLandS Then
		intMinBoxSide = Base.Height * .3
		intMaxBoxSide = Base.Height * .8
	Else
		intMinBoxSide = Base.Width * .3
		intMaxBoxSide = Base.Width * .8
	End If
	
	intBoxSide = (intMinBoxSide + intMaxBoxSide) / 2
	
	intBoxSideLeft = (Base.Width - intBoxSide) / 2
	intBoxSideTop = (Base.Height - intBoxSide) / 2
	
	imvCheckBox.Gravity = Gravity.FILL
	
	bmpChecked.InitializeSample(File.DirAssets, "Checked_102.png", intBoxSide, intBoxSide)
	bmpUnchecked.InitializeSample(File.DirAssets, "Unchecked_102.png", intBoxSide, intBoxSide)

	Base.AddView(imvCheckBox, intBoxSideLeft, intBoxSideTop, intBoxSide, intBoxSide)

	imvCheckBox.Bitmap = bmpUnchecked
	
End Sub

Public Sub setChecked(Checked As Boolean)
	mChecked = Not(Checked)
	imvCheckBox_Click
End Sub

Public Sub getChecked As Boolean
	Return mChecked
End Sub

Private Sub imvCheckBox_Click
	If mChecked Then
		imvCheckBox.Bitmap = bmpUnchecked
	Else
		imvCheckBox.Bitmap = bmpChecked
	End If
	
	mChecked = Not(mChecked)

	If SubExists(mTarget, mEventName & "_CheckedChange") Then
		CallSub2(mTarget, mEventName & "_" & "CheckedChange", mChecked)
	End If
End Sub

Public Sub SetTranparent
	mBase.Color = Colors.Transparent
End Sub

Public Sub getObject As LMCheckBox
	Return Me
End Sub

Public Sub getBase As Panel
	mBase.Tag = Me
	Return mBase
End Sub

Public Sub GetObjType As String
	Return mType
End Sub

Private Sub SetMyType
	Dim LastDot As Int
	Dim strType As String = GetType(Me)
	LastDot = strType.LastIndexOf(".")
	mType = strType.SubString(LastDot + 1)
End Sub